## grails.converters.deep
Class JSON

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter
          grails.converters.JSON
              grails.converters.deep.JSON

All Implemented Interfaces:
  Converter

    public class JSON

extends JSON
implements Converter

A converter that converts domain classes, Maps, Lists, Arrays, POJOs and POGOs to JSON (Including nested Domain Classes)

Author:
  Siegfried Puchbauer

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`DEFAULT_REQUEST_ENCODING`

Constructor Summary
`JSON()`

Method Summary
`protected void` `bean(Object o)` Renders any Java object to the JSON Writer by leveraging the Java reflection API
`protected void` `domain(Object o)` Renders a instance of a Grails Domain Class to the JSON Writer
`protected void` `handleCircularRelationship(Object o)`
`boolean` `isRenderDomainClassRelations()` internal Getter

Methods inherited from class grails.converters.JSON
`array, extractIdValue, parse, parse, parse, render, render, setRenderDomainClassRelations, setTarget, toString, value`

Methods inherited from class org.codehaus.groovy.grails.web.converters.AbstractConverter
`createBeanWrapper, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`render, render`

Constructor Detail

### JSON

    public JSON()

Method Detail

### bean

    protected void bean(Object o)
                 throws ConverterException

  Description copied from class: `JSON`
  Renders any Java object to the JSON Writer by leveraging the Java reflection API

  Overrides:
    `bean` in class `JSON`
  Parameters:
    `o` - The Bean to render
  Throws:
    `ConverterException`

### domain

    protected void domain(Object o)
                   throws ConverterException

  Description copied from class: `JSON`
  Renders a instance of a Grails Domain Class to the JSON Writer

  Overrides:
    `domain` in class `JSON`
  Parameters:
    `o` - The Domain Class instance
  Throws:
    `ConverterException`

### handleCircularRelationship

    protected void handleCircularRelationship(Object o)
                                       throws ConverterException

  Throws:
    `ConverterException`

### isRenderDomainClassRelations

    public boolean isRenderDomainClassRelations()

  internal Getter

  Overrides:
    `isRenderDomainClassRelations` in class `JSON`
  Returns:
    true

Copyright (c) 2005-2006 The Grails project